//+------------------------------------------------------------------+
//|  Tenkan Kijun  mtf                                               |
//+------------------------------------------------------------------+
//2008forextsd  ki    

#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

#property indicator_buffers 2
#property indicator_color1 Maroon
#property indicator_color2 Blue
#property indicator_width2 2

extern int  Tenkan=9;
extern int  Kijun=26;
extern int  Tenkan_Shift=0;   
extern int  Kijun_Shift =0;


extern bool TKShiftToZero =true;

extern int     TimeFrame=0;
extern string  TimeFrames = "M1;5,15,30,60H1;240H4;1440D1;10080W1;43200MN";


double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];

//+------

int init()
  {

   SetIndexBuffer    (0,ExtMapBuffer1);      SetIndexBuffer    (1,ExtMapBuffer2);
   SetIndexStyle     (0,DRAW_LINE);          SetIndexStyle     (1,DRAW_LINE);
   SetIndexDrawBegin (0,Kijun);              SetIndexDrawBegin (1,Kijun);

   TimeFrame =MathMax(TimeFrame, Period());
   
   if (TKShiftToZero)
      {
   SetIndexShift     (0,0);    SetIndexShift     (1,0);
      }
   else
      {
   SetIndexShift     (0,Tenkan_Shift*TimeFrame/Period());      
   SetIndexShift     (1,Kijun_Shift*TimeFrame/Period());
      }
   
      switch(TimeFrame)
      {
      case 1 : string TimeFrameStr="M1"; break;
      case 5 : TimeFrameStr="M5"; break;
      case 15 : TimeFrameStr="M15"; break;
      case 30 : TimeFrameStr="M30"; break;
      case 60 : TimeFrameStr="H1"; break;
      case 240 : TimeFrameStr="H4"; break;
      case 1440 : TimeFrameStr="D1"; break;
      case 10080 : TimeFrameStr="W1"; break;
      case 43200 : TimeFrameStr="MN"; break;
      default : TimeFrameStr="TF0";
      } 

   SetIndexLabel(0,"Tenkan ("+Tenkan+") "+TimeFrameStr +" ");
   SetIndexLabel(1,"Kijun ("+Kijun+") "+TimeFrameStr +" ");



IndicatorShortName("Ichi Tenkan Kijun ("+Tenkan+","+Kijun+") ["+TimeFrameStr +"]");

   return(0);
  }

//+----------

int start()
  {
   datetime TimeArray[];
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 

   int i,y,limit,counted_bars=IndicatorCounted();

   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   
   limit=Bars-counted_bars;
   limit = MathMax (limit,TimeFrame/Period());

   
   for(i=0,y=0; i<limit; i++)
   {
   if (Time[i]<TimeArray[y]) y++; 


  ExtMapBuffer1[i]  = iIchimoku(NULL, TimeFrame, Tenkan, Kijun, 52, MODE_TENKANSEN, y);
      
  ExtMapBuffer2[i]  = iIchimoku(NULL, TimeFrame, Tenkan, Kijun, 52, MODE_KIJUNSEN,  y);
      
   }
   
   
    
  return(0);
 }
//+-----------